#!/usr/bin/python

""" A wrapper around a user defined function/script which decides if a certain spec file is accepted for a certain object (for example a target) or not """

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Copyright 2004 Dries Verachtert

import sys
from log4py import Logger
from callablescript import CallableScript

class AcceptCommandScript(CallableScript):
    def acceptCommand(self,aCommand):
        return self._getMethod().__call__(aCommand)
