#!/usr/bin/python

""" The rights which a user or buildmachine can have """

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Copyright 2004 Dries Verachtert


# this should be the same as in the database/storage class !!

class Rights:
    REGISTER_SLAVE = "REGISTER_SLAVE"
    SEND_RESULT_FILE_NAME = "SEND_RESULT_FILE_NAME"
    SEND_BUILD_RESULT = "SEND_BUILD_RESULT"
    ADD_DISTRO_ARCH = "ADD_DISTRO_ARCH"
    GET_COMMAND = "GET_COMMAND"
    BUILD_SPEC_BY_PATH = "BUILD_SPEC_BY_PATH"
    UPDATE_SPEC_REPOSITORIES_FILE_LIST = "UPDATE_SPEC_REPOSITORIES_FILE_LIST"
    GET_SPEC_REPOSITORIES_UPDATE_COMMANDS = "GET_SPEC_REPOSITORIES_UPDATE_COMMANDS"
    UPDATE_SITE_SCRIPT="UPDATE_SITE_SCRIPT"
    UPDATE_ALL_SPEC_REPOSITORIES_FILE_LISTS = "UPDATE_ALL_SPEC_REPOSITORIES_FILE_LISTS"
    GET_NUMBER_OF_NOTYETSTARTED_COMMANDS = "GET_NUMBER_OF_NOTYETSTARTED_COMMANDS"
    AUTO_QUEUE = "AUTO_QUEUE"
    MOVE_COMMAND_RESULTS ="MOVE_COMMAND_RESULTS"
    UPDATE_TARGET_FILE_LIST = "UPDATE_TARGET_FILE_LIST"
    TEST_BUILD_SPEC_BY_PATH = "TEST_BUILD_SPEC_BY_PATH"
    
    
